package jalview.gui;

import static org.testng.AssertJUnit.assertEquals;

import jalview.datamodel.Alignment;
import jalview.datamodel.AlignmentI;
import jalview.datamodel.Sequence;
import jalview.datamodel.SequenceI;
import jalview.schemes.ZappoColourScheme;

import java.awt.Color;

import org.testng.annotations.Test;

public class SequenceRendererTest
{

  @Test(groups ={ "Functional" })
  public void testGetResidueBoxColour_zappo()
  {
    SequenceI seq = new Sequence("name", "MATVLGSPRAPAFF"); // FER1_MAIZE...
    AlignmentI al = new Alignment(new SequenceI[]
      { seq });
    final AlignViewport av = new AlignViewport(al);
    SequenceRenderer sr = new SequenceRenderer(av);
    av.setGlobalColourScheme(new ZappoColourScheme());

    // @see ResidueProperties.zappo
    assertEquals(Color.pink, sr.getResidueColour(seq, 0, null)); // M
    assertEquals(Color.green, sr.getResidueColour(seq, 2, null)); // T
    assertEquals(Color.magenta, sr.getResidueColour(seq, 5, null)); // G
    assertEquals(Color.orange, sr.getResidueColour(seq, 12, null)); // F
  }
  // TODO more tests for getResidueBoxColour covering groups, feature rendering,
  // gaps, overview...

}
